Patches for aports can be sent to this list

1

[alpine-aports] Older versions

José María García Pérez
Details
Message ID
<CAM2xrH6m_JfqkyPNtKLDeGP57Hke02FX67aNNGJQCfnJqaJw+A@mail.gmail.com>
Sender timestamp
1510852499
DKIM signature
missing
Download raw message
Good evening,
What would be the best to have an older version of a package?

For example, I need swig v2.x.x:

1. Should I contact the maintainer and ask him to downgrade?
2. Should I create a new package (call it swig2)?
3. Is it OK to "embed" the particular library version in the package that
requires it?

KInd regards,
José M.
Cág
Details
Message ID
<20171116203902.GA15424@alpine.my.domain>
In-Reply-To
<CAM2xrH6m_JfqkyPNtKLDeGP57Hke02FX67aNNGJQCfnJqaJw+A@mail.gmail.com> (view parent)
Sender timestamp
1510864742
DKIM signature
missing
Download raw message
Hello,

José María García Pérez wrote:

> 2. Should I create a new package (call it swig2)?

I think this sounds more reasonable. It is already done with llvm and python
for example. Of course file names shouldn't be conflicting, in case you plan
to make it unconflicting with swig.

> 3. Is it OK to "embed" the particular library version in the package that
> requires it?

What about making a package with this old library version? Same conditions as
above.


Cheers

-- 
caóc



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---